> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a transaction

> Get a transaction of the token



## OpenAPI

````yaml GET /token/{address}/transactions/{txHash}
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{address}/transactions/{txHash}:
    get:
      tags:
        - Transaction
      summary: Get transaction
      description: Get a transaction of the token
      operationId: getTransaction
      parameters:
        - name: address
          required: true
          in: path
          schema:
            type: string
        - name: txHash
          required: true
          in: path
          schema:
            type: string
        - name: take
          required: true
          in: query
          schema:
            type: number
      responses:
        '200':
          description: The transaction has been successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TransactionDTO'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    TransactionDTO:
      type: object
      properties:
        txHash:
          type: string
          description: The hash of the transaction
          example: '0x27a51e3483885e399d5c9f60283c6bc379f24631a5c15f79009da96c0490d413'
        tokenId:
          type: string
          description: The id of the token
          example: '0xA2c296171e9faCe580800AE82920CF1A2D974B53'
        sender:
          type: string
          description: The address of the sender
          example: '0x999999cf1046e68e36E1aA2E0E07105eDDD1f08E'
        receiver:
          type: string
          description: The address of the receiver
          example: '0x999999cf1046e68e36E1aA2E0E07105eDDD1f08E'
        value:
          type: string
          description: The value of the transaction
          example: '1050'
        blockIndex:
          type: number
          description: The index of the block
          example: 5
        blockNumber:
          type: number
          description: The number of the block
          example: 7978342
        timestamp:
          format: date-time
          type: string
          description: >-
            The timestamp of the transaction in [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2021-05-12T12:00:00Z'
      required:
        - txHash
        - tokenId
        - sender
        - receiver
        - value
        - blockIndex
        - blockNumber
        - timestamp

````